Search Unity

HybridRenderer V2 namespaces don't exist

Discussion in 'Graphics for ECS' started by EternalAmbiguity, Jan 5, 2022.

  1. EternalAmbiguity

    EternalAmbiguity

    Joined:
    Dec 27, 2014
    Posts:
    3,144
    I've been having a bunch of issues (across 2021 and the 2022 beta) getting packages imported properly. Right now I'm seeing the errors in the screenshot below, related to the Hybrid Renderer:
    Unity_2022-01-04_19-45-32.png

    As can be seen it thinks "HybridV2" doesn't exist. However I have the package and ENABLE_HYBRID_RENDERER_V2 in the Script Compilation settings. Does anyone know what I should do to get this to work?
     
  2. joelv

    joelv

    Unity Technologies

    Joined:
    Mar 20, 2015
    Posts:
    203
    Hybrid Renderer (and all of Entities and so on) does not support 2022.X series releases. We have replaced the unity side API of things there and will be getting support for these into the hybrid renderer. You will need to stay on the publicly announced supported versions for now, which is 2020.X AFAIK.
     
  3. EternalAmbiguity

    EternalAmbiguity

    Joined:
    Dec 27, 2014
    Posts:
    3,144
    Okay, I was actually on 2021 originally because I thought certain versions of these packages (entities, jobs, burst, etc.) required the never versions. Does 2020 have access to the latest versions of each?
     
  4. nsxdavid

    nsxdavid

    Joined:
    Apr 6, 2009
    Posts:
    476
    What a mess. There is simply now way to know what works with what. The user experience with all this is a phenomenal fail, and I cannot understand how disconnected Unity is from it.
     
    Nith666 and VirtualDawn like this.